$ErrorActionPreference = 'Stop'

$fileName  = 'netcat-win32-1.12.zip'
$toolsPath = Split-Path -Parent $MyInvocation.MyCommand.Definition
$zip_path = "$toolsPath\$fileName"
Remove-Item $toolsPath\* -Recurse -Force -Exclude $fileName

$packageArgs = @{
    PackageName  = 'netcat'
    FileFullPath = $zip_path
    Destination  = $toolsPath
}
Get-ChocolateyUnzip @packageArgs
Remove-Item $zip_path -ea 0

if (Get-OSArchitectureWidth 64) {
    Write-Verbose "Removing x32 version"
    Remove-Item "$toolsPath/nc.exe" -ea 0
    Move-Item "$toolsPath/nc64.exe" "$toolsPath/nc.exe" -Force
} else {
    Write-Verbose "Removing x64 version"
    Remove-Item "$toolsPath/nc64.exe" -ea 0
    Move-Item "$toolsPath/nc.exe" "$toolsPath/nc.exe" -Force
}
